#Module-Specific definitions
%define mod_version 1.8
%define release 1mdk
%define mod_name mod_dosevasive
%define mod_conf A11_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	DoS Evasive Maneuvers Module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{mod_name}.%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_dosevasive-small_fix.patch.bz2
License:	Apache License
URL:		http://www.nuclearelephant.com/projects/dosevasive/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	mailx

%description
A module for %{ap_name} giving Apache the ability to fend off
request-based DoS attacks conserving your system resources and
bandwidth. This new tool maintains an internal table of IP
addresses and URLs and will deny repeated requests for the same
URL from the same IP address, blacklisting the address for
10-seconds per extraneous request. Obviously, this module will
not fend off attacks consuming all available bandwidth or more
resources than are available to send 403's, but is very successful
in typical flood attacks or cgi flood attacks. 

%prep

%setup -q -n mod_dosevasive
%patch0 -p0
rm -rf .libs
rm -f %{mod_name}.c
mv %{mod_name}20.c %{mod_name}.c

%build
%{apxs} -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Sep 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.8-1mdk
- 1.8
- updated S1

* Tue Aug 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.7.1-1mdk
- 1.7.1

* Sat Aug 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.7-1mdk
- initial cooker contrib
